package lt.bit.pupeles.configuration;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import lt.bit.pupeles.service.LogSkaiciuoklis;
import lt.bit.pupeles.service.PaprastasSkaiciuoklis;
import lt.bit.pupeles.service.Skaiciuoklis;

@Configuration
public class SkaiciuoklisConfiguration {
	
	@Bean
	public PaprastasSkaiciuoklis paprastasSkaiciuoklisConfiguration() {
		return new PaprastasSkaiciuoklis();
	}
	
	@Bean
	@Primary
	public Skaiciuoklis logSkaiciuoklisConfiguration() {
		return new LogSkaiciuoklis();
	}

}
